Subject: Re: Displaying renamed files in vc-dir for bzr is incorrect

From: Chong Yidong <[email-masked]>
Date: Sun, 07 Sep 2008 10:22:30 -0400

> When using Bzr, renamed files for are shown like this in vc-dir:
>
>            nil     OLD_NAME => NEW_NAME
>
> where `nil' is supposed to be the VC state and `OLD_NAME => NEW_NAME' is
> believed to be a file name...
>
> The patch below fixes this.  Not sure if this is appropriate to check in
> now given the feature freeze, as the patch needs to add a feature in
> order to fix the bug.  So record the fix here so that it does not get
> lost.

Please do check in your patch, since it fixes a bug.